Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

Diff of /README [7c7b71] .. [7b6722] Maximize Restore

  Switch to unified view

a/README b/README
...
...
19
  * Red Hat Linux:
19
  * Red Hat Linux:
20
20
21
    - Make sure you have the Python development headers and libraries
21
    - Make sure you have the Python development headers and libraries
22
      (python-devel).
22
      (python-devel).
23
23
24
 setuptools
25
26
  * http://pypi.python.org/pypi/setuptools
27
24
+ MySQL 3.23.32 or higher
28
+ MySQL 3.23.32 or higher
25
29
26
  * http://www.mysql.com/downloads/
30
  * http://www.mysql.com/downloads/
27
31
28
  * Versions lower than 3.22 definitely WON'T WORK.
32
  * Versions lower than 3.22 definitely WON'T WORK.
...
...
33
37
34
  * MySQL-3.23 ought to work, but it's pretty elderly.
38
  * MySQL-3.23 ought to work, but it's pretty elderly.
35
39
36
  * MySQL-4.0 is supported, but not tested and slightly discouraged.
40
  * MySQL-4.0 is supported, but not tested and slightly discouraged.
37
41
38
  * MySQL-4.1 is supported and tested. The prepared statements API is not
42
  * MySQL-4.1 is supported. The prepared statements API is not
39
    supported, and won't be until MySQLdb-1.3 or 2.0.
43
    supported, and won't be until MySQLdb-1.3 or 2.0, if ever.
40
44
41
  * MySQL-5.0 is supported and tested, including stored procedures.
45
  * MySQL-5.0 is supported and tested, including stored procedures.
42
      
46
      
47
  * MySQL-5.1 is supported (currently a release candidate) but untested.
48
    It should work.
49
50
  * MySQL-6.0 is sorta-kinda-supported (currently alpha) but untested.
51
    It should work.
52
53
  * Drizzle <https://launchpad.net/drizzle> is a fork of MySQL. So far
54
    the C API looks really similar except everything is renamed.
55
    Drizzle support probably won't happen in 1.2. There may be have to
56
    be an entirely different module, but still using DB-API.
57
43
  * MaxDB, formerly known as SAP DB (and maybe Adabas D?), is a
58
  * MaxDB, formerly known as SAP DB (and maybe Adabas D?), is a
44
    completely different animal. Use the sapdb.sql module that comes
59
    completely different animal. Use the sapdb.sql module that comes
45
    with MaxDB.
60
    with MaxDB.
46
61
47
  * Red Hat Linux packages:
62
  * Red Hat Linux packages:
...
...
90
105
91
  * If you have some Windows flavor, you usually have to pay extra
106
  * If you have some Windows flavor, you usually have to pay extra
92
    for this, or you can use Cygwin_.
107
    for this, or you can use Cygwin_.
93
108
94
.. _Cygwin: http://www.cygwin.com/
109
.. _Cygwin: http://www.cygwin.com/
95
96
110
97
111
98
Building and installing
112
Building and installing
99
-----------------------
113
-----------------------
100
114
...
...
211
225
212
226
213
Gentoo Linux
227
Gentoo Linux
214
............
228
............
215
229
216
Packaged as `mysql-python`_. Gentoo is also my preferred development platform,
230
Packaged as `mysql-python`_. ::
217
though I have also done some with Ubuntu lately. ::
218
231
219
      # emerge sync
232
      # emerge sync
220
      # emerge mysql-python
233
      # emerge mysql-python
221
      # emerge zmysqlda # if you use Zope
234
      # emerge zmysqlda # if you use Zope
222
235